[arch-commits] Commit in python-ipywidgets/repos/community-any (PKGBUILD PKGBUILD)

Kyle Keen kkeen at archlinux.org
Sat Mar 25 18:42:13 UTC 2017


    Date: Saturday, March 25, 2017 @ 18:42:13
  Author: kkeen
Revision: 218983

archrelease: copy trunk to community-any

Added:
  python-ipywidgets/repos/community-any/PKGBUILD
    (from rev 218982, python-ipywidgets/trunk/PKGBUILD)
Deleted:
  python-ipywidgets/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  122 ++++++++++++++++++++++++++++---------------------------------
 1 file changed, 56 insertions(+), 66 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-25 18:41:51 UTC (rev 218982)
+++ PKGBUILD	2017-03-25 18:42:13 UTC (rev 218983)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer: Kyle Keen <keenerd at gmail.com>
-
-pkgbase=python-ipywidgets
-pkgname=(python-ipywidgets python2-ipywidgets)
-pkgver=5.2.2
-pkgrel=3
-pkgdesc="IPython widgets for the Jupyter Notebook"
-arch=('any')
-url="https://github.com/ipython/ipywidgets"
-license=('BSD')
-depends=('python' 'jupyter-widgetsnbextension')
-makedepends=('python-setuptools' 'python2-setuptools' 'npm' 'git')
-
-# Ipywidgets 5.2.X may be a joke, based on speed of releases
-# and it seems to be because it doesn't do npm correctly?
-# It doesn't work for me but it does for arojas
-# but let's update it anyway, it doesn't seem to break anything else.
-
-source=("$pkgname-$pkgver.tgz::https://github.com/ipython/ipywidgets/archive/$pkgver.tar.gz")
-md5sums=('112f3daa4aa0f42f8dda831cea3649c8')
-
-prepare() {
-  cp -r "ipywidgets-$pkgver" "py2-ipywidgets-$pkgver"
-}
-
-build() {
-  cd "$srcdir/ipywidgets-$pkgver"
-  # needs node, downloads a lot of stuff
-  python3 setup.py build
-  # as of 5.something it doesn't automatically npm?
-  # npm install seems very broken for tarball builds
-  #cd jupyter-js-widgets
-  #npm install
-  #cd ..
-  #cd widgetsnbextension
-  #python3 setup.py build
-  #cd ..
-
-  cd "$srcdir/py2-ipywidgets-$pkgver"
-  python2 setup.py build
-  #cd widgetsnbextension
-  #python2 setup.py build
-}
-
-package_python-ipywidgets() {
-  cd "$srcdir/ipywidgets-$pkgver"
-  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=0
-  install -Dm644 COPYING.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-  #cd widgetsnbextension
-  #python3 setup.py install --prefix=/usr --root="$pkgdir"
-}
-
-package_python2-ipywidgets() {
-  depends=('python2' 'jupyter-widgetsnbextension')
-  # weird depends because of shared files
-  cd "$srcdir/py2-ipywidgets-$pkgver"
-  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=0
-  install -Dm644 COPYING.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-  #cd widgetsnbextension
-  #python2 setup.py install --prefix=/usr --root="$pkgdir"
-
-  # remove shared files
-  #rm "$pkgdir/usr/share/jupyter/nbextensions/jupyter-js-widgets/extension.js"{,.map}
-}
-

Copied: python-ipywidgets/repos/community-any/PKGBUILD (from rev 218982, python-ipywidgets/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-03-25 18:42:13 UTC (rev 218983)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=python-ipywidgets
+pkgname=(python-ipywidgets python2-ipywidgets)
+pkgver=6.0.0
+pkgrel=1
+pkgdesc="IPython widgets for the Jupyter Notebook"
+arch=('any')
+url="https://github.com/ipython/ipywidgets"
+license=('BSD')
+depends=('python' 'jupyter-widgetsnbextension')
+makedepends=('python-setuptools' 'python2-setuptools' 'npm' 'git')
+
+source=("$pkgname-$pkgver.tgz::https://github.com/ipython/ipywidgets/archive/$pkgver.tar.gz")
+md5sums=('3082b6760be8c566d88bdf1c9fd94063')
+
+prepare() {
+  cp -r "ipywidgets-$pkgver" "py2-ipywidgets-$pkgver"
+}
+
+build() {
+  cd "$srcdir/ipywidgets-$pkgver"
+  # needs node, downloads a lot of stuff
+  python3 setup.py build
+  #cd widgetsnbextension
+  #python3 setup.py build
+  #cd ..
+
+  cd "$srcdir/py2-ipywidgets-$pkgver"
+  python2 setup.py build
+  #cd widgetsnbextension
+  #python2 setup.py build
+}
+
+package_python-ipywidgets() {
+  cd "$srcdir/ipywidgets-$pkgver"
+  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=0
+  install -Dm644 COPYING.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  #cd widgetsnbextension
+  #python3 setup.py install --prefix=/usr --root="$pkgdir"
+}
+
+package_python2-ipywidgets() {
+  depends=('python2' 'jupyter-widgetsnbextension')
+  # weird depends because of shared files
+  cd "$srcdir/py2-ipywidgets-$pkgver"
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=0
+  install -Dm644 COPYING.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  #cd widgetsnbextension
+  #python2 setup.py install --prefix=/usr --root="$pkgdir"
+
+  # remove shared files
+  #rm "$pkgdir/usr/share/jupyter/nbextensions/jupyter-js-widgets/extension.js"{,.map}
+}
+


More information about the arch-commits mailing list